Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.teststeps
Class WsdlTestRequest

    java.lang.Object
      com.eviware.soapui.model.support.AbstractModelItem
          com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem<com.eviware.soapui.config.CallConfig>
              com.eviware.soapui.impl.wsdl.WsdlRequest
                  com.eviware.soapui.impl.wsdl.teststeps.WsdlTestRequest

All Implemented Interfaces:
  AttachmentContainer, Assertable, Request, ModelItem, PropertyChangeNotifier, java.beans.PropertyChangeListener, java.util.EventListener

    public class WsdlTestRequest

extends WsdlRequest
implements java.beans.PropertyChangeListener, Assertable

WsdlRequest extension that adds WsdlAssertions

Author:
  Ole.Matzura

Nested Class Summary
`protected class` | `WsdlTestRequest.TestRequestIconAnimator`

Nested classes/interfaces inherited from class com.eviware.soapui.impl.wsdl.WsdlRequest
`WsdlRequest.RequestIconAnimator`

Nested classes/interfaces inherited from class com.eviware.soapui.model.support.AbstractModelItem
`AbstractModelItem.ShowModelItemAction`

Nested classes/interfaces inherited from interface com.eviware.soapui.impl.wsdl.support.assertions.Assertable
`Assertable.AssertionStatus`

Nested classes/interfaces inherited from interface com.eviware.soapui.model.iface.Request
`Request.SubmitException`

Field Summary
`static java.lang.String` | `RESPONSE_PROPERTY`
`static java.lang.String` | `STATUS_PROPERTY`

Fields inherited from class com.eviware.soapui.impl.wsdl.WsdlRequest
`attachments, ATTACHMENTS_PROPERTY, BIND_ADDRESS, DISABLE_MULTIPART_ATTACHMENTS, ENCODE_ATTACHMENTS, EXPAND_MTOM_RESPONSE_ATTACHMENTS, FORCE_MTOM, INLINE_RESPONSE_ATTACHMENTS, log, OPERATION_PROPERTY, PW_TYPE_DIGEST, PW_TYPE_NONE, PW_TYPE_TEXT, REMOVE_EMPTY_CONTENT, REQUEST_HEADERS_PROPERTY, RESPONSE_CONTENT_PROPERTY, STRIP_WHITESPACES, WSS_TIMETOLIVE`

Fields inherited from interface com.eviware.soapui.model.iface.Request
`ENCODING_PROPERTY, ENDPOINT_PROPERTY, REQUEST_PROPERTY`

Fields inherited from interface com.eviware.soapui.model.ModelItem
`DESCRIPTION_PROPERTY, ICON_PROPERTY, NAME_PROPERTY`

Constructor Summary
`WsdlTestRequest(WsdlOperation operation, com.eviware.soapui.config.CallConfig callConfig, WsdlTestRequestStep testStep, boolean forLoadTest)`

Method Summary
`WsdlMessageAssertion` | `addAssertion(java.lang.String assertionLabel)`
`void` | `addAssertionsListener(AssertionsListener listener)`
`void` | `assertResponse(SubmitContext context)`
`WsdlMessageAssertion` | `cloneAssertion(WsdlMessageAssertion source, java.lang.String name)`
`java.lang.String` | `getAssertableContent()`
`WsdlAssertionRegistry.AssertableType` | `getAssertableType()`
`WsdlMessageAssertion` | `getAssertionAt(int c)`
`int` | `getAssertionCount()`
`java.util.List<WsdlMessageAssertion>` | `getAssertionList()`
`Assertable.AssertionStatus` | `getAssertionStatus()`
`javax.swing.ImageIcon` | `getIcon()`
`WsdlInterface` | `getInterface()`
`java.lang.String` | `getInterfaceName()`
`java.lang.String` | `getOperationName()`
`WsdlTestCase` | `getTestCase()`
`WsdlTestRequestStep` | `getTestStep()`
`WsdlMessageAssertion` | `importAssertion(WsdlMessageAssertion source, boolean overwrite)`
`protected WsdlRequest.RequestIconAnimator` | `initIconAnimator()`
`protected void` | `initIcons()`
`void` | `propertyChange(java.beans.PropertyChangeEvent evt)`
`void` | `release()`
`void` | `removeAssertion(WsdlMessageAssertion assertion)`
`void` | `removeAssertionsListener(AssertionsListener listener)`
`void` | `setResponse(WsdlResponse response, SubmitContext context)`
`void` | `updateConfig(com.eviware.soapui.config.CallConfig request)` Called when a testrequest is moved in a testcase

Methods inherited from class com.eviware.soapui.impl.wsdl.WsdlRequest
`addAttachmentsChangeListener, addSubmitListener, attachFile, copyAttachmentsTo, copyTo, getAttachmentAt, getAttachmentCount, getAttachmentPart, getAttachments, getAttachmentsForPart, getBindAddress, getContentLength, getDefinedAttachmentParts, getDomain, getEncoding, getEndpoint, getIconAnimator, getOperation, getPassword, getRequestContent, getRequestHeaders, getRequestParts, getResponse, getResponseContent, getResponseParts, getUsername, getWssPasswordType, getWssTimeToLive, initEndpoints, isEncodeAttachments, isExpandMtomResponseAttachments, isForceMtom, isInlineResponseAttachments, isMtomEnabled, isMultipartEnabled, isReadOnly, isRemoveEmptyContent, isStripWhitespaces, onSave, removeAttachment, removeAttachmentsChangeListener, removeSubmitListener, setBindAddress, setDomain, setEncodeAttachments, setEncoding, setEndpoint, setExpandMtomResponseAttachments, setForceMtom, setInlineResponseAttachments, setMtomEnabled, setMultipartEnabled, setOperation, setPassword, setRemoveEmptyContent, setRequestContent, setRequestHeaders, setStripWhitespaces, setUsername, setWssPasswordType, setWssTimeToLive, submit`

Methods inherited from class com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem
`getConfig, getDescription, getName, getParent, getSettings, getWsdlModelItemByName, setConfig, setDescription, setIcon, setName, setSettings`

Methods inherited from class com.eviware.soapui.model.support.AbstractModelItem
`addPropertyChangeListener, addPropertyChangeListener, notifyPropertyChanged, notifyPropertyChanged, notifyPropertyChanged, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.model.ModelItem
`getDescription, getName, getSettings`

Methods inherited from interface com.eviware.soapui.support.PropertyChangeNotifier
`addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener`

Field Detail

### RESPONSE_PROPERTY

    public static final java.lang.String RESPONSE_PROPERTY

### STATUS_PROPERTY

    public static final java.lang.String STATUS_PROPERTY

Constructor Detail

### WsdlTestRequest

    public WsdlTestRequest(WsdlOperation operation,
                           com.eviware.soapui.config.CallConfig callConfig,
                           WsdlTestRequestStep testStep,
                           boolean forLoadTest)

Method Detail

### getTestCase

    public WsdlTestCase getTestCase()

### initIcons

    protected void initIcons()

### initIconAnimator

    protected WsdlRequest.RequestIconAnimator initIconAnimator()

  Overrides:
    `initIconAnimator` in class `WsdlRequest`

### getAssertionCount

    public int getAssertionCount()

  Specified by:
    `getAssertionCount` in interface `Assertable`

### getAssertionAt

    public WsdlMessageAssertion getAssertionAt(int c)

  Specified by:
    `getAssertionAt` in interface `Assertable`

### setResponse

    public void setResponse(WsdlResponse response,
                            SubmitContext context)

  Overrides:
    `setResponse` in class `WsdlRequest`

### assertResponse

    public void assertResponse(SubmitContext context)

### addAssertion

    public WsdlMessageAssertion addAssertion(java.lang.String assertionLabel)

  Specified by:
    `addAssertion` in interface `Assertable`

### removeAssertion

    public void removeAssertion(WsdlMessageAssertion assertion)

  Specified by:
    `removeAssertion` in interface `Assertable`

### getAssertionStatus

    public Assertable.AssertionStatus getAssertionStatus()

  Specified by:
    `getAssertionStatus` in interface `Assertable`

### getIcon

    public javax.swing.ImageIcon getIcon()

  Specified by:
    `getIcon` in interface `ModelItem`
  Overrides:
    `getIcon` in class `WsdlRequest`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

### addAssertionsListener

    public void addAssertionsListener(AssertionsListener listener)

  Specified by:
    `addAssertionsListener` in interface `Assertable`

### removeAssertionsListener

    public void removeAssertionsListener(AssertionsListener listener)

  Specified by:
    `removeAssertionsListener` in interface `Assertable`

### updateConfig

    public void updateConfig(com.eviware.soapui.config.CallConfig request)

  Called when a testrequest is moved in a testcase

  Overrides:
    `updateConfig` in class `WsdlRequest`

### release

    public void release()

  Overrides:
    `release` in class `WsdlRequest`

### getAssertableContent

    public java.lang.String getAssertableContent()

  Specified by:
    `getAssertableContent` in interface `Assertable`

### getTestStep

    public WsdlTestRequestStep getTestStep()

  Specified by:
    `getTestStep` in interface `Assertable`

### getInterface

    public WsdlInterface getInterface()

  Specified by:
    `getInterface` in interface `Assertable`

### getAssertableType

    public WsdlAssertionRegistry.AssertableType getAssertableType()

  Specified by:
    `getAssertableType` in interface `Assertable`

### getInterfaceName

    public java.lang.String getInterfaceName()

### getOperationName

    public java.lang.String getOperationName()

### cloneAssertion

    public WsdlMessageAssertion cloneAssertion(WsdlMessageAssertion source,
                                               java.lang.String name)

  Specified by:
    `cloneAssertion` in interface `Assertable`

### importAssertion

    public WsdlMessageAssertion importAssertion(WsdlMessageAssertion source,
                                                boolean overwrite)

### getAssertionList

    public java.util.List<WsdlMessageAssertion> getAssertionList()

  Specified by:
    `getAssertionList` in interface `Assertable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.